Bug 468727 - SSH key agent non-functional after resume from hibernate
SSH key agent non-functional after resume from hibernate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 13:42 EDT by Daniel Berrange
Modified: 2015-03-03 17:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:43:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2008-10-27 13:42:48 EDT
Description of problem:
When I first login to a GNOME session, if I then SSH to a machine requiring passphrases, GNOME presents a graphical dialog to enter key passphrase.
Thereafter I can SSH to any machine without entering passphrases

When I then hibernate to disk, and then resume, everything has stopped working.

$ printenv  | grep SSH
SSH_AGENT_PID=3185
SSH_AUTH_SOCK=/tmp/keyring-8IVhyB/ssh
SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass


The PID there corresponds to an active ssh-agent process


$ pgrep ssh-agent
3185

but the socket is not one owned by the agent


# lsof -p 3185 | grep unix
ssh-agent 3185 berrange    3u  unix 0xf578d6c0           25293 /tmp/ssh-otTzRy3041/agent.3041


As far as I can tell sockets named with /tmp/keyring-XXXX as their prefix are being created by gnome-keyring-daemon. The only instance of gnome-keyring-daemon running on my machine though does not correspond to the socket listed in the environment. The process was also suspiciously created just at the time of resume

# lsof | grep /tmp/keyring-
gnome-key 26566  berrange    8u     unix 0xf6128700              496364 /tmp/keyring-sx4mmd/socket
gnome-key 26566  berrange   14u     unix 0xdec5f500              498334 /tmp/keyring-sx4mmd/socket


I can only guess that gnome-keyring-daemon is crashing at somepoint in hibernate/resume sequence, and getting restarted, but once restarted the SSH functionality is utterly useless since its listening on a different socket.

The only way I can get working SSH agent back now is to logout of GNOME again, defeating the point of having hibernate/resume, because i loose my session.


I also see errors from network manager about broken keyring socket

$ grep keyring ~/.xsession-errors 
** (nm-applet:3292): WARNING **: couldn't connect to daemon at $GNOME_KEYRING_SOCKET: /tmp/keyring-8IVhyB/socket: Connection refused
** (nm-vpnc-auth-dialog:26674): WARNING **: couldn't connect to daemon at $GNOME_KEYRING_SOCKET: /tmp/keyring-8IVhyB/socket: Connection refused
** (nm-vpnc-auth-dialog:26674): WARNING **: couldn't connect to daemon at $GNOME_KEYRING_SOCKET: /tmp/keyring-8IVhyB/socket: Connection refused


This was all working correctly until a week or so ago, but I don't see any updates to gnome-keyring for several months.


Version-Release number of selected component (if applicable):
$ uname -r
2.6.26.6-79.fc9.i686
[berrange@t60wlan ~]$ rpm -q gnome-keyring
gnome-keyring-2.22.3-1.fc9.i386


How reproducible:
Always

Steps to Reproduce:
1. Hibernate to disk
2. Resume from hibernate
3. SSH to a machine using passphrases
  
Actual results:
SSH prompts for passphrase
ssh-add shows no active agent sock

Expected results:
SSH sessions logs in without prompting

Additional info:
Comment 1 Bug Zapper 2009-06-09 23:05:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:43:18 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.